System.ServiceModel 4.0.0.0 System.ServiceModel.Security.Tokens.SecurityTokenParameters

This class is a collection of token properties and methods, and is used in creating security binding elements and tokens.

Represents the parameters for an SSPI security token that is obtained during the SOAP-level SPNEGO protocol with the server.

- Constructor
  4.0.0.0

  The new instance property values are set to their defaults:

  is set to .

  is set to .

  is set to true.

  is set to false.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0

  The new instance property values are set to their defaults:

  is set to .

  is set to .

  is set to true.

  is set to .

  Initializes a new instance of the class.

  Whether the token requires cancellation.
- Constructor
  4.0.0.0
  To be added.

  The new instance property values are set to the corresponding values in .

  is set to false.

  Initializes a new instance of the class.

- Method
  4.0.0.0
  System.ServiceModel.Security.Tokens.SecurityTokenParameters

  The and methods follow the Core design pattern.

  is an abstract class that is overridden by .

  The method calls the constructor.

  Clones another instance of this instance of the class.

  A new instance of the .

- Method
  4.0.0.0
  System.IdentityModel.Tokens.SecurityKeyIdentifierClause `` `` To be added.

  Creates a key identifier clause for a token.

  A security key identifier clause.

  The token. The .
- Property
  4.0.0.0
  System.Boolean To be added.

  Asymmetric keys are used in public-key cryptography, which uses two keys, a public key and a private key, which are related mathematically. The public key is distributed widely, but the private key is kept secret. In public-key cryptography, there is no need to exchange a common key.

  Gets a value that indicates whether the token has an asymmetric key.

- Method
  4.0.0.0
  System.Void ``

  The following properties of the are initialized:

  = .

  = true.

  The SupportSecurityContextCancellation property in is set to .

  The IssuedSecurityTokenParameters property in is set to a clone of the current instance.

  = .

  Initializes a security token requirement.

  The .
- Property
  4.0.0.0
  System.Boolean To be added.

  If cancellation is required, then the security context token issued at the end of the SPNEGO protocol is session based; otherwise, it is cookie based.

  Gets or sets a value that indicates whether the token requires cancellation.

- Property
  4.0.0.0
  System.Boolean To be added. To be added.

  When implemented, gets a value that indicates whether the token supports client authentication.

- Property
  4.0.0.0
  System.Boolean To be added. To be added.

  When implemented, gets a value that indicates whether the token supports a Windows identity for authentication.

- Property
  4.0.0.0
  System.Boolean To be added. To be added.

  When implemented, gets a value that indicates whether the token supports server authentication.

- Method
  4.0.0.0
  System.String To be added.

  Displays a text representation of this instance of the class.

  A text representation of this instance of this class.